org.codehaus.plexus

## Class PlexusConstants

- java.lang.Object
- - org.codehaus.plexus.PlexusConstants

    public abstract class PlexusConstants
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `PLEXUS_DEFAULT_HINT` The role-hint to use for components or lookups that do not specify a role.
`static java.lang.String` `PLEXUS_KEY` Key used to retrieve the plexus container from the containerContext.

### Constructor Summary

Constructors
Constructor and Description
`PlexusConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLEXUS_KEY

    public static final java.lang.String PLEXUS_KEY

Key used to retrieve the plexus container from the containerContext.

See Also:
  Constant Field Values

#### PLEXUS_DEFAULT_HINT

    public static final java.lang.String PLEXUS_DEFAULT_HINT

The role-hint to use for components or lookups that do not specify a role.

See Also:
  Constant Field Values

### Constructor Detail

#### PlexusConstants

    public PlexusConstants()